"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireWildcard(require("react"));

var _clsx3 = _interopRequireDefault(require("clsx"));

var _styles = require("@material-ui/core/styles");

var _MenuItem = _interopRequireDefault(require("@material-ui/core/MenuItem"));

var _Select = _interopRequireDefault(require("@material-ui/core/Select"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

var SelectComp = function SelectComp(props) {
  var hasStyles = props.style ? true : false;
  var customStyle = props.style ? props.style : '';
  var invalidStyle = {
    border: '1px solid red',
    backgroundColor: '#fda49a'
  };
  var defaultStyle = {
    outline: 'none',
    border: '1px solid #ccc',
    backgroundColor: 'white',
    display: 'block',
    boxSizing: 'border-box',
    marginTop: '2px',
    marginBottom: '2px',
    width: '144%',
    fontSize: '11px',
    padding: '3px 0px',
    height: '27px',
    position: 'relative',
    top: '2px',
    bottom: '2px',
    "& .MuiSvgIcon-root": {
      color: 'rgb(255, 255, 255)',
      backgroundColor: 'rgb(70, 160, 184)'
    }
  };
  var useStyles = (0, _styles.makeStyles)({
    style: defaultStyle,
    custom: customStyle,
    invalid: invalidStyle
  });
  var customClasses = useStyles();

  var _useState = (0, _react.useState)(0),
      _useState2 = _slicedToArray(_useState, 2),
      value = _useState2[0],
      setValue = _useState2[1];

  useEffect(function () {
    return setValue(props.selected);
  });

  var clickHandle = function clickHandle(e) {
    if (!value && !props.confirm) {
      setValue(e.target.value);
      props.SelectionChanged(e.target.value);
    } else {
      setValue(0);
      props.SelectionChanged(0);
    }
  };

  useEffect(function () {
    if (props.confirm) {
      setValue(0);
    }
  });
  return /*#__PURE__*/_react["default"].createElement(_Select["default"], {
    className: (0, _clsx3["default"])(customClasses.style, _defineProperty({}, customClasses.custom, hasStyles), _defineProperty({}, customClasses.invalid, props.invalid && props.shouldValidate && props.touched)),
    name: props.name,
    value: value,
    onChange: props.onChange === undefined ? function (e) {
      return clickHandle(e);
    } : props.onChange,
    disabled: props.disabled,
    disableUnderline: true
  }, props.options.map(function (e, key) {
    return /*#__PURE__*/_react["default"].createElement(_MenuItem["default"], {
      key: key,
      value: e.value
    }, e.listname);
  }));
};

var _default = SelectComp;
exports["default"] = _default;