"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _clsx = _interopRequireDefault(require("clsx"));

var _styles = require("@material-ui/core/styles");

var _Button = _interopRequireDefault(require("@material-ui/core/Button"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var MuiButton = function MuiButton(props) {
  var cssStyles = props.style ? props.style : "";
  var defaultStyles = {
    backgroundColor: 'rgb(77,73,152)',
    color: 'white',
    textTransform: 'none',
    outline: 'none',
    cursor: 'pointer',
    borderColor: 'white',
    margin: '20px 16px 0px 20px',
    width: '70px',
    height: '22px',
    '&:hover': {
      backgroundColor: 'blue'
    }
  };
  var useCustomStyles = (0, _styles.makeStyles)({
    button: defaultStyles,
    custom: cssStyles
  });
  var customClasses = useCustomStyles();
  return /*#__PURE__*/_react["default"].createElement(_Button["default"], {
    style: {
      border: '0.2px solid white'
    },
    className: (0, _clsx["default"])(customClasses.button, customClasses.custom),
    name: props.name,
    type: props.type,
    variant: "contained",
    onClick: props.onClick
  }, props.text);
};

var _default = MuiButton;
exports["default"] = _default;