"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _clsx3 = _interopRequireDefault(require("clsx"));

var _core = require("@material-ui/core");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var TextInput = function TextInput(props) {
  var hasStyles = props.style ? true : false;
  var customStyle = props.style ? props.style : '';
  var defaultStyle = {
    outline: 'none',
    border: '1px solid #ccc',
    backgroundColor: 'white',
    font: 'inherit',
    display: 'block',
    boxSizing: 'border-box',
    marginTop: '2px',
    marginBottom: '2px',
    width: '70px',
    height: '22px'
  };
  var invalidStyle = {
    border: '1px solid red',
    backgroundColor: '#fda49a'
  };
  var useStyles = (0, _core.makeStyles)({
    style: defaultStyle,
    custom: customStyle,
    invalid: invalidStyle
  });
  var customClasses = useStyles();
  return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement("label", null, props.label), /*#__PURE__*/_react["default"].createElement(_core.TextField, {
    className: (0, _clsx3["default"])(customClasses.style, _defineProperty({}, customClasses.custom, hasStyles), _defineProperty({}, customClasses.invalid, props.invalid && props.shouldValidate && props.touched)),
    variant: "outlined",
    DataTable: props.DataTable,
    DataColumn: props.DataColumn,
    type: props.type,
    name: props.name,
    value: props.value,
    disabled: props.disabled,
    onChange: props.onChange,
    placeholder: props.placeHolder
  }));
};

var _default = TextInput;
exports["default"] = _default;