"use strict";

var atob = require('atob');

var btoa = require('btoa');

var aesjs = require('aes-js');

var pbkdf2 = require('pbkdf2');

var crypto = require('crypto');

var JSONCheck = require('../lib/JSONCheck.js');

module.exports = function (text, password) {
  var textInBase64 = "";

  if (JSONCheck.IsJson(text)) {
    textInBase64 = btoa(unescape(encodeURIComponent(JSON.stringify(text))));
  } else {
    textInBase64 = btoa(unescape(encodeURIComponent(text)));
  }

  var textWithPadding = textInBase64;

  if (textWithPadding.length % 16 != 0) {
    textWithPadding += '='.repeat(16 - textWithPadding.length % 16);
  }

  var textInBytes = aesjs.utils.utf8.toBytes(textWithPadding);
  var derivedKey = pbkdf2.pbkdf2Sync(password, 'salt', 1, 256 / 8, 'sha512');
  var generatedIV = crypto.randomBytes(16);
  var aesCBC = new aesjs.ModeOfOperation.cbc(derivedKey, generatedIV);
  var encryptedTextInBytes = aesCBC.encrypt(textInBytes);
  var encryptedTextInHex = aesjs.utils.hex.fromBytes(encryptedTextInBytes);
  var generatedIVInHex = aesjs.utils.hex.fromBytes(generatedIV);
  var cipherText = generatedIVInHex + ':' + encryptedTextInHex;
  return cipherText;
};