"use strict";

var crypto = require('crypto');

var JSONCheck = require('../lib/JSONCheck.js');

module.exports = function (data, key) {
  var md5Key = crypto.createHash('md5').update(key).digest("hex").substr(0, 24);
  var decipher = crypto.createDecipheriv('des-ede3', md5Key, '');
  var decrypted = decipher.update(data, 'base64', 'utf8');
  decrypted += decipher["final"]('utf8');

  if (JSONCheck.IsJson(decrypted)) {
    return JSON.parse(decrypted);
  }

  return decrypted;
};