"use strict";

var bigInt = require('big-integer');

var RandomPrime = require('../lib/GeneratePrime');

module.exports = function (keysize) {
  var e = bigInt(65537);
  var p;
  var q;
  var totient;

  do {
    p = RandomPrime.GeneratePrime(keysize / 2);
    q = RandomPrime.GeneratePrime(keysize / 2);
    totient = bigInt.lcm(p.prev(), q.prev());
  } while (bigInt.gcd(e, totient).notEquals(1) || p.minus(q).abs().shiftRight(keysize / 2 - 100).isZero());

  return {
    e: e,
    n: p.multiply(q),
    d: e.modInv(totient)
  };
};